WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: solution proposal; Downloaded system file dependencies must be defined in a sepa  (Read 756 times)

Offline xor

  • Hero Member
  • *****
  • Posts: 955
too large file size complicates new configurations.

solution proposal; Downloaded system file dependencies must be defined in a separate folder!


Code: [Select]
Select package for 'firefox'.

         1. firefox
         2. firefox-dbg
         3. firefox-dev
         4. firefox-geckodriver
         5. firefox-launchpad-plugin
         6. firefox-locale-af
         7. firefox-locale-an
         8. firefox-locale-ar
         9. firefox-locale-as
        10. firefox-locale-ast
        11. firefox-locale-az
        12. firefox-locale-be
        13. firefox-locale-bg
        14. firefox-locale-bn
        15. firefox-locale-br
        16. firefox-locale-bs
        17. firefox-locale-ca
        18. firefox-locale-cak
        19. firefox-locale-cs
        20. firefox-locale-csb

Enter selection ( 1 - 99 ) or (q)uit, (n)ext/Enter, (p)revious: 1
* Importing firefox.
 
* Package index:
  /etc/sysconfig/tcedir/import/debinx/ubuntu_focal_main_amd64_Packages
* Security index:
  /etc/sysconfig/tcedir/import/debinx/ubuntu_focal_security_amd64_Packages
* Main mirror: http://us.archive.ubuntu.com/ubuntu
* Security mirror: http://us.archive.ubuntu.com/ubuntu
* firefox is a ubuntu focal security update package from:
  http://security.ubuntu.com/ubuntu.
* Gathering dependencies.
* Merging 336 packages:
1/336 libsqlite0
2/336 dbus.deb2sce: dCore start script.
2/336 dbus
3/336 dbus-x11
4/336 libssh-4
5/336 librtmp1
6/336 libnghttp2-14
7/336 libldap-common
8/336 libsasl2-modules-db
9/336 libsasl2-2
10/336 libwind0-heimdal
11/336 libhx509-5-heimdal
12/336 libkrb5-26-heimdal
13/336 libheimntlm0-heimdal
14/336 libheimbase1-heimdal
15/336 libhcrypto4-heimdal
16/336 libroken18-heimdal
17/336 libasn1-8-heimdal
18/336 libgssapi3-heimdal
19/336 libldap-2.4-2
20/336 libcurl4
21/336 curl
22/336 libnotify4
23/336 dbus-glib is a Debian/Ubuntu meta package or does not exist.
24/336 libnspr4
25/336 libnss3
26/336 openssl
27/336 ca-certificates.deb2sce: dCore start script.
27/336 ca-certificates
28/336 input-joystick-5.4.3-tinycore64
29/336 alsa-modules-5.4.3-tinycore64
30/336 libfftw3-single3
31/336 libatopology2
32/336 libkmod2
33/336 kmod.deb2sce: dCore start script.
33/336 kmod
34/336 alsa-utils.deb2sce: dCore start script.
34/336 alsa-utils
35/336 consolekit is a Debian/Ubuntu meta package or does not exist.
36/336 libpulsedsp
37/336 pulseaudio-utils
38/336 libasound2-plugins
39/336 findutils.deb2sce: dCore start script.
39/336 findutils
40/336 login.deb2sce: dCore start script.
40/336 login
41/336 libpam-modules.deb2sce: dCore start script.
41/336 libpam-modules
42/336 libsepol1
43/336 libsemanage-common
44/336 libsemanage1
45/336 libpam0g
46/336 libcap-ng0
47/336 libaudit-common
48/336 libaudit1
49/336 passwd.deb2sce: dCore start script.
49/336 passwd
50/336 adduser
51/336 libxtst6
52/336 libwebrtc-audio-processing1
53/336 libtdb1
54/336 libspeexdsp1
55/336 libsnapd-glib1
56/336 libwrap0
57/336 libsndfile1
58/336 libasyncns0
59/336 libpulse0
60/336 libltdl7
61/336 libapparmor1
62/336 pulseaudio.deb2sce: dCore start script.
62/336 pulseaudio
63/336 libvisual-0.4-0
64/336 libcdparanoia0
65/336 gstreamer1.0-plugins-base
66/336 libv4lconvert0
67/336 libv4l-0
68/336 libtag1v5-vanilla
69/336 libtag1v5
70/336 libshout3
71/336 libjack-0.125 is a Debian/Ubuntu meta package or does not exist.
72/336 libjack-jackd2-0
73/336 libiec61883-0
74/336 libgudev-1.0-0
75/336 libgstreamer-plugins-good1.0-0
76/336 libflac8
77/336 libdv4
78/336 libcaca0
79/336 libraw1394-11
80/336 libavc1394-0
81/336 libslang2
82/336 libncurses6
83/336 libgpm2
84/336 libaa1
85/336 gstreamer1.0-plugins-good
86/336 iso-codes
87/336 liborc-0.4-0
88/336 libcap2-bin
89/336 libcap2
90/336 libgstreamer1.0-0
91/336 libgstreamer-plugins-base1.0-0
92/336 libsodium23
93/336 libpgm-5.2-0
94/336 libnorm1
95/336 libzmq5
96/336 libvidstab1.1
97/336 libswscale5
98/336 libsamplerate0
99/336 libfftw3-double3
100/336 librubberband2
101/336 libpostproc55
102/336 libmysofa1
103/336 libsratom-0-0
104/336 libsord-0-0
105/336 libserd-0-0
106/336 liblilv-0-0
107/336 libasound2-data
108/336 libasound2
109/336 libflite1
110/336 libbs2b0
111/336 libssh-gcrypt-4
112/336 libvorbisfile3
113/336 libmpg123-0
114/336 libopenmpt0
115/336 libgme0
116/336 libchromaprint1
117/336 libbluray2
118/336 libavformat58
119/336 libass9
120/336 libavfilter7
121/336 libzvbi-common
122/336 libzvbi0
123/336 libxvidcore4
124/336 libnuma1
125/336 libx265-179
126/336 libx264-155
127/336 libwebpmux3
128/336 libwavpack1
129/336 libvpx6
130/336 libvorbisenc2
131/336 libvorbis0a
132/336 libtwolame0
133/336 libogg0
134/336 libtheora0
135/336 libgomp1
136/336 libsoxr0
137/336 libswresample3
138/336 libspeex1
139/336 libsnappy1v5
140/336 libshine3
141/336 libopus0
142/336 libopenjp2-7
143/336 libmp3lame0
144/336 libgsm1
145/336 libcodec2-0.9
146/336 libopencl-1.2-1 is a Debian/Ubuntu meta package or does not exist.
147/336 libopencl-1.1-1 is a Debian/Ubuntu meta package or does not exist.
148/336 libopencl1 is a Debian/Ubuntu meta package or does not exist.
149/336 ocl-icd-libopencl1
150/336 libvdpau1
151/336 libva-x11-2
152/336 libva2
153/336 libva-drm2
154/336 libdrm-common
155/336 libdrm2
156/336 libavutil56
157/336 libaom0
158/336 libavcodec58
159/336 gstreamer1.0-libav
160/336 libsm6
161/336 lsb-base
162/336 x11-common
163/336 libice6
164/336 libxt6
165/336 libx11-xcb1
166/336 libgpg-error0
167/336 libgcrypt20
168/336 libgtk-3-common
169/336 xkb-data
170/336 libxkbcommon0
171/336 libwayland-egl1
172/336 libwayland-cursor0
173/336 libwayland-client0
174/336 libpsl5
175/336 libbrotli1
176/336 gsettings-backend is a Debian/Ubuntu meta package or does not exist.
177/336 dbus-session-bus is a Debian/Ubuntu meta package or does not exist.
178/336 default-dbus-session-bus is a Debian/Ubuntu meta package or does not exist.
179/336 libdconf1
180/336 dconf-service
181/336 dconf-gsettings-backend
182/336 gsettings-desktop-schemas
183/336 glib-networking-common
184/336 glib-networking-services
185/336 libproxy1v5
186/336 glib-networking
187/336 libsoup2.4-1
188/336 libsoup-gnome2.4-1
189/336 librest-0.7-0
190/336 libjson-glib-1.0-common
191/336 libjson-glib-1.0-0
192/336 libepoxy0
193/336 libudev1
194/336 liblcms2-2
195/336 libcolord2
196/336 libatspi2.0-0
197/336 libatk-bridge2.0-0
198/336 adwaita-icon-theme-full
199/336 humanity-icon-theme
200/336 ubuntu-mono
201/336 librsvg2-2.deb2sce: dCore start script.
201/336 librsvg2-2
202/336 librsvg2-common.deb2sce: dCore start script.
202/336 librsvg2-common
203/336 gtk-update-icon-cache
204/336 gnome-icon-theme
205/336 libxrandr2
206/336 libxinerama1
207/336 libxi6
208/336 libxdamage1
209/336 libxfixes3
210/336 libxcursor1
211/336 libxcomposite1
212/336 libpangoft2-1.0-0
213/336 libpangocairo-1.0-0
214/336 libdatrie1
215/336 libthai-data
216/336 libthai0
217/336 libgraphite2-3
218/336 libharfbuzz0b
219/336 libfribidi0
220/336 fontconfig
221/336 libpango-1.0-0
222/336 libkeyutils1
223/336 libkrb5-3
224/336 libkrb5support0
225/336 libk5crypto3
226/336 libcom-err2
227/336 libgssapi-krb5-2
228/336 libtasn1-6
229/336 libp11-kit0
230/336 libunistring2
231/336 libidn2-0
232/336 libnettle7
233/336 libhogweed5
234/336 libgmp10
235/336 libgnutls30
236/336 libavahi-common-data
237/336 libavahi-common3
238/336 libavahi-client3
239/336 libcups2
240/336 libgtk2.0-common
241/336 libgtk2.0-0.deb2sce: dCore start script.
241/336 libgtk2.0-0
242/336 libgtk2.0-bin
243/336 hicolor-icon-theme.deb2sce: dCore start script.
243/336 hicolor-icon-theme
244/336 adwaita-icon-theme
245/336 libgtk-3-0
246/336 libgdk-pixbuf2.0-common
247/336 tzdata.deb2sce: dCore start script.
247/336 tzdata
248/336 libstdc++6
249/336 libicu66
250/336 libxml2
251/336 shared-mime-info
252/336 libzstd1
253/336 libwebp6
254/336 libjbig0
255/336 libtiff5
256/336 libjpeg-turbo8
257/336 libjpeg8
258/336 libgdk-pixbuf2.0-0.deb2sce: dCore start script.
258/336 libgdk-pixbuf2.0-0
259/336 libdbus-glib-1-2
260/336 libsystemd0
261/336 libdbus-1-3
262/336 libxrender1
263/336 libxext6
264/336 libxcb-shm0
265/336 libxcb-render0
266/336 libx11-data
267/336 libbsd0
268/336 libxdmcp6
269/336 libxau6
270/336 libxcb1
271/336 libx11-6
272/336 libpixman-1-0
273/336 fonts-freefont is a Debian/Ubuntu meta package or does not exist.
274/336 fonts-liberation
275/336 ttf-bitstream-vera
276/336 fonts-dejavu-core
277/336 sensible-utils
278/336 libattr1
279/336 libacl1
280/336 coreutils.deb2sce: dCore start script.
280/336 coreutils
281/336 ucf
282/336 fontconfig-config-data.tar.gz: fontconfig-config extra files.
282/336 fontconfig-config
283/336 libpng16-16
284/336 libfreetype6
285/336 libfontconfig1
286/336 libcairo2
287/336 libcairo-gobject2
288/336 libatk1.0-data
289/336 liblz4-1
290/336 libpcre3
291/336 libpcre2-8-0
292/336 libselinux1
293/336 libblkid1
294/336 libmount1
295/336 libglib2.0-0
296/336 libatk1.0-0
297/336 distro-info-data
298/336 python3-minimal
299/336 libpython3-stdlib
300/336 libuuid1.deb2sce: dCore start script.
300/336 libuuid1
301/336 libsqlite3-0
302/336 install-info
303/336 tar.deb2sce: dCore start script.
303/336 tar
304/336 dpkg.deb2sce: dCore start script.
304/336 dpkg
305/336 readline-common
306/336 libreadline8
307/336 libtinfo6
308/336 libncursesw6
309/336 libmpdec2
310/336 liblzma5
311/336 libffi7
312/336 mime-support
313/336 libpython3.8-stdlib
314/336 libexpat1
315/336 debconf-2.0 is a Debian/Ubuntu meta package or does not exist.
316/336 zlib1g
317/336 libgdbm6
318/336 libgdbm-compat4
319/336 libdb5.3
320/336 libbz2-1.0
321/336 libperl5.30
322/336 perl-modules-5.30
323/336 perl-base.deb2sce: dCore start script.
323/336 perl-base
324/336 perl
325/336 debconf
326/336 libssl1.1
327/336 libcrypt1
328/336 gcc-10-base
329/336 libgcc-s1
330/336 libc6
331/336 libpython3.8-minimal
332/336 python3.8-minimal
333/336 python3.8
334/336 python3.deb2sce: dCore start script.
334/336 python3
335/336 lsb-release
336/336 firefox.deb2sce: dCore start script.
336/336 firefox-data.tar.gz: firefox extra files.
336/336 firefox

Parallel mksquashfs: Using 2 processors
Creating 4.0 filesystem on /etc/sysconfig/tcedir/sce/update/firefox.sce, block size 131072.
[===========================================================\] 24118/24118 100%

Exportable Squashfs 4.0 filesystem, gzip compressed, data block size 131072
        compressed data, compressed metadata, compressed fragments, compressed xattrs
        duplicates are removed
Filesystem size 241827.66 Kbytes (236.16 Mbytes)
        37.60% of uncompressed filesystem size (643178.66 Kbytes)
Inode table size 304818 bytes (297.67 Kbytes)
« Last Edit: November 21, 2020, 05:38:51 AM by xor »